import { Buff, Bytes } from '@cmdcode/buff-utils';
import { EscrowRouter } from '../routes/index.js';
import { EscrowContract } from './Contract.js';
export { EscrowContract } from './Contract.js';
export * from '../schema/index.js';
type Fetcher = (secret: Bytes) => typeof fetch;
type Signer = (secret: Bytes, message: Bytes) => Bytes;
type Sign = (message: Bytes) => Bytes;
interface EscrowConfig {
    host: string;
    fetcher?: Fetcher;
    signer?: Signer;
}
export declare class EscrowClient {
    readonly _secret: Buff;
    readonly options: EscrowConfig;
    readonly API: EscrowRouter;
    readonly fetch: typeof fetch;
    readonly sign: Sign;
    constructor(secret: Bytes, config?: Partial<EscrowConfig>);
    get pubkey(): Buff;
    getContract(contractId: string): Promise<EscrowContract | undefined>;
}
//# sourceMappingURL=Client.d.ts.map